package com.boot.security.server.page.table;

import com.boot.security.server.model.AdvertiserData;
import com.boot.security.server.model.BaseSettlement;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

/**
 * 分页查询参数
 * 
 * @author maliang
 *
 */
public class PageTableRequest implements Serializable {

	private static final long serialVersionUID = 7328071045193618467L;

	private Integer offset;
	private Integer limit;
	private Integer page;
	private Map<String, Object> params;
	private String startTime;
	private String endTime;
	private Integer advertiserId;
	private Integer copyrightIds;
	private String advertId;
	private AdvertiserData advertiserData;
	private BaseSettlement baseSettlement;
	private Long bookId;
	private String bookName;
	private String context;
	private Integer type;
	private String typeName;
	private Integer copyrightId;
	private List<BaseSettlement> array;

	public List<BaseSettlement> getArray() {
		return array;
	}

	public void setArray(List<BaseSettlement> array) {
		this.array = array;
	}

	public Integer getCopyrightId() {
		return copyrightId;
	}

	public void setCopyrightId(Integer copyrightId) {
		this.copyrightId = copyrightId;
	}

	public String getContext() {
		return context;
	}

	public void setContext(String context) {
		this.context = context;
	}

	public Integer getType() {
		return type;
	}

	public void setType(Integer type) {
		this.type = type;
	}

	public String getTypeName() {
		return typeName;
	}

	public void setTypeName(String typeName) {
		this.typeName = typeName;
	}

	public Long getBookId() {
		return bookId;
	}

	public void setBookId(Long bookId) {
		this.bookId = bookId;
	}

	public String getBookName() {
		return bookName;
	}

	public void setBookName(String bookName) {
		this.bookName = bookName;
	}

	public Integer getCopyrightIds() {
		return copyrightIds;
	}

	public void setCopyrightIds(Integer copyrightIds) {
		this.copyrightIds = copyrightIds;
	}

	public BaseSettlement getBaseSettlement() {
		return baseSettlement;
	}

	public void setBaseSettlement(BaseSettlement baseSettlement) {
		this.baseSettlement = baseSettlement;
	}

	public AdvertiserData getAdvertiserData() {
		return advertiserData;
	}

	public void setAdvertiserData(AdvertiserData advertiserData) {
		this.advertiserData = advertiserData;
	}

	public Integer getPage() {
		return page;
	}

	public void setPage(Integer page) {
		this.page = page;
	}

	public Integer getAdvertiserId() {
		return advertiserId;
	}

	public void setAdvertiserId(Integer advertiserId) {
		this.advertiserId = advertiserId;
	}

	public String getAdvertId() {
		return advertId;
	}

	public void setAdvertId(String advertId) {
		this.advertId = advertId;
	}

	public String getStartTime() {
		return startTime;
	}

	public void setStartTime(String startTime) {
		this.startTime = startTime;
	}

	public String getEndTime() {
		return endTime;
	}

	public void setEndTime(String endTime) {
		this.endTime = endTime;
	}

	public Integer getOffset() {
		return offset;
	}

	public void setOffset(Integer offset) {
		this.offset = offset;
	}

	public Integer getLimit() {
		return limit;
	}

	public void setLimit(Integer limit) {
		this.limit = limit;
	}

	public Map<String, Object> getParams() {
		return params;
	}

	public void setParams(Map<String, Object> params) {
		this.params = params;
	}
}
